<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
        integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx"
        crossorigin="anonymous"></script>
    <title>Flask Form</title>
</head>
<body>
    <div class="container">
        <h2>Halaman Pendaftaran</h2>
        {% for field, errors in form.errors.items() %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            {{ ', '.join(errors) }}
            <button type="button" class="close" data-dismis="alert">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endfor %}
        <form class="form-horizontal" method="POST" action="">
            <div class="form-group">
                {{ form.csrf_token() }}
                <label class='control-label col-sm-4' for=''>
                    {{ form.username.label }}
                </label>
                <div class="col-sm-8">
                    {{ form.username }}
                </div>                
            </div>
            <div class="form-group">
                <label class='control-label col-sm-4' for=''>
                    {{ form.email.label }}
                </label>
                <div class="col-sm-8">
                    {{ form.email(class="form-control") }}
                </div>                
            </div>
            <div class="form-group">
                <label class='control-label col-sm-4' for=''>
                    {{ form.password.label }}
                </label>
                <div class="col-sm-8">
                    {{ form.password(class="form-control") }}
                </div>                
            </div>

            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10"></div>
                {{ form.submit(class="btn btn-primary") }}
            </div>
            
        </form>
    </div>
</body>
</html>